# Casual Assignment

Preprocessing - Lexicon comparison - Pronunciation Generation - Corpus splitting - Built 3gram model - perplexity calculation

You can find a detailed pdf report of the steps to solve this assignment.
